<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/rapport">
<html>
	<head>
	<title>Rapport mkAlign</title>
	<link rel="stylesheet" title="style mkAlign" href="style.css" />
	</head>
<body>

<div id="menu">
<ul>
<li><a href="{./liste_menu/accueil/f}"><xsl:value-of select="./liste_menu/accueil/t"/></a></li>
<xsl:for-each select="liste_menu/element">
<li><a href="{f}">e<xsl:value-of select="nb"/></a></li>
</xsl:for-each>
</ul>
</div>

<div id="conteneur">

<p><img src="logocla2t.gif" /></p>
<p><xsl:text>

</xsl:text></p>

<h2><xsl:value-of select="title"/></h2>
<xsl:apply-templates select="contenuRapportBody"/>
<xsl:apply-templates select="note"/>
<p align="left"><br/></p>
</div>
<p><xsl:text>

</xsl:text></p>
<div id="footer">
<hr width="90%" align="center"/>
<i><font color="blue"><b>mk<font color="red">A</font>lign</b></font></i><xsl:text> </xsl:text><a href="http://tal.univ-paris3.fr/mkAlign/">http://tal.univ-paris3.fr/mkAlign/</a>
</div>
</body>
</html>
</xsl:template>

<xsl:template match="note">
<xsl:choose>
<xsl:when test="contains(./br/text(),'insrez ici votre note...')">
</xsl:when>
<xsl:otherwise>
<h2>Note :</h2>
<div style='border:solid windowtext .75pt;padding:4.0pt 4.0pt 4.0pt 4.0pt'>
<blockquote><p align="justify">
<xsl:for-each select="br">
<xsl:value-of select="."/><br/>
</xsl:for-each>
</p></blockquote>
</div>
</xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template match="contenuRapportBody">

<div style='border:solid windowtext .75pt;padding:4.0pt 4.0pt 4.0pt 4.0pt'>
<table align="center" width="70%">
<tr><td valign="top" width="50%"><xsl:apply-templates select="content/segments/source"/></td>
<td width="50%" valign="top"><xsl:apply-templates select="content/segments/cible"/></td></tr>
</table>
</div>

</xsl:template>

<xsl:template match="source">
<table align="center" width="70%">
<tr><td align="center" width="100%" colspan="2" bgcolor="silver"><b>Segments Source</b></td></tr>
<tr><td align="left" width="10%"><b>Frquence</b></td><td width="80%" align="center"><b>Segments</b></td></tr>
<xsl:for-each select="item">
<tr><td align="left" width="10%"><xsl:value-of select="freq"/></td><td align="center" width="90%"><xsl:value-of select="segm"/></td></tr>
</xsl:for-each>
</table>
</xsl:template>
<xsl:template match="cible">
<table align="center" width="70%">
<tr><td align="center" colspan="2" width="100%" bgcolor="silver"><b>Segments Cible</b></td></tr>
<tr><td align="left" width="10%"><b>Frquence</b></td><td width="80%" align="center"><b>Segments</b></td></tr>
<xsl:for-each select="item">
<tr><td align="left" width="10%"><xsl:value-of select="freq"/></td><td align="center" width="90%"><xsl:value-of select="segm"/></td></tr>
</xsl:for-each>
</table>
</xsl:template>


</xsl:stylesheet>
