<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/rapport">
<html>
	<head>
	<title>Rapport mkAlign</title>
	<link rel="stylesheet" title="style mkAlign" href="style.css" />
	</head>
<body>
<div id="menu">
<ul>
<li><a href="{./liste_menu/accueil/f}"><xsl:value-of select="./liste_menu/accueil/t"/></a></li>
<xsl:for-each select="liste_menu/element">
<li><a href="{f}">e<xsl:value-of select="nb"/></a></li>
</xsl:for-each>
</ul>
</div>

<div id="conteneur">

<p><img src="logocla2t.gif" /></p>
<p><xsl:text>

</xsl:text></p>

<h2><xsl:value-of select="title"/> </h2>
<xsl:apply-templates select="contenuRapportBody"/>
<xsl:apply-templates select="note"/>
<p align="left"><br/></p>
</div>
<p><xsl:text>

</xsl:text></p>
<div id="footer">
<hr width="90%" align="center"/>
<i><font color="blue"><b>mk<font color="red">A</font>lign</b></font></i><xsl:text> </xsl:text><a href="http://tal.univ-paris3.fr/mkAlign/">http://tal.univ-paris3.fr/mkAlign/</a>
</div>
</body>
</html>
</xsl:template>

<xsl:template match="note">
<xsl:choose>
<xsl:when test="contains(./br/text(),'insrez ici votre note...')">
</xsl:when>
<xsl:otherwise>
<h2>Note :</h2>
<div style='border:solid windowtext .75pt;padding:4.0pt 4.0pt 4.0pt 4.0pt'>
<blockquote><p align="justify">
<xsl:for-each select="br">
<xsl:value-of select="."/><br/>
</xsl:for-each>
</p></blockquote>
</div>
</xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template match="contenuRapportBody">

<div style='border:solid windowtext .75pt;padding:4.0pt 4.0pt 4.0pt 4.0pt'>
<table width="100%" border="1">
<tr>
<td valign="top" width="50%">
<table  border="0" align="center" >
<xsl:apply-templates select="content/source"/>
</table>
</td>
<td valign="top" width="50%">
<table  border="0" align="center">
<xsl:apply-templates select="content/cible"/>
</table>
</td>
</tr>
</table>
</div>
</xsl:template>

<xsl:template match="source">
<tr><td colspan="4">
<p align="justify"><b><xsl:value-of select="title"/></b></p>
<ul>
<xsl:for-each select="comment/e">
<li><i><xsl:value-of select="."/></i></li>
</xsl:for-each>
</ul>
</td>
</tr>
<tr><td align="center" width="25%"><b>Forme</b></td><td width="25%" align="center"><b>Ind-Spcif</b></td><td width="25%" align="center"><b>Fq-Totale</b></td><td width="25%" align="center"><b>Fq-Partie</b></td></tr>
<xsl:for-each select="specifs/item">
<tr><td align="center" width="25%"><xsl:value-of select="./f"/></td><td align="center" width="25%"><xsl:value-of select="./ind"/></td><td align="center" width="25%"><xsl:value-of select="./ft"/></td><td align="center" width="25%"><xsl:value-of select="./fp"/></td></tr>
</xsl:for-each>
</xsl:template>

<xsl:template match="cible">
<tr><td colspan="4">
<p align="justify"><b><xsl:value-of select="title"/></b></p>
<ul>
<xsl:for-each select="comment/e">
<li><i><xsl:value-of select="."/></i></li>
</xsl:for-each>
</ul>
</td>
</tr>
<tr><td align="center" width="25%"><b>Forme</b></td><td width="25%" align="center"><b>Ind-Spcif</b></td><td width="25%" align="center"><b>Fq-Totale</b></td><td width="25%" align="center"><b>Fq-Partie</b></td></tr>
<xsl:for-each select="specifs/item">
<tr><td align="center" width="25%"><xsl:value-of select="./f"/></td><td align="center" width="25%"><xsl:value-of select="./ind"/></td><td align="center" width="25%"><xsl:value-of select="./ft"/></td><td align="center" width="25%"><xsl:value-of select="./fp"/></td></tr>
</xsl:for-each>
</xsl:template>



</xsl:stylesheet>
