<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/sommaire_mkalign">
  <html>
	<head>
	<title>Rapport mkAlign</title>
	<link rel="stylesheet" title="stylemkAlign" href="style.css" />
	</head>
<body>

<div id="conteneur">
<p><img src="logocla2t.gif" /></p>
<p><xsl:text>

</xsl:text></p>

<h1>Rapport de navigation avec <i><font color="blue"><b>mk<font color="red">A</font>lign</b></font></i></h1>

<div style='border:solid windowtext .75pt;padding:4.0pt 4.0pt 4.0pt 4.0pt'>
<blockquote>
<ul>
<xsl:apply-templates select="teiheader/fileDesc/sourceDesc"/>
</ul>
</blockquote>
</div>

<h2>Elments du rapport :</h2>
<xsl:apply-templates select="liste_elements"/>
<xsl:apply-templates select="note"/>
<p align="left"><br/></p>

</div>
<p><xsl:text>

</xsl:text></p>
<div id="footer">
<hr width="90%" align="center"/>
<i><font color="blue"><b>mk<font color="red">A</font>lign</b></font></i><xsl:text> </xsl:text><a href="http://tal.univ-paris3.fr/mkAlign/">http://tal.univ-paris3.fr/mkAlign/</a>
</div>
</body>
</html>
</xsl:template>

<xsl:template match="note">
<xsl:choose>
<xsl:when test="contains(./br/text(),'insrez ici votre note...')">
</xsl:when>
<xsl:otherwise>
<h2>Note :</h2>
<div style='border:solid windowtext .75pt;padding:4.0pt 4.0pt 4.0pt 4.0pt'>
<blockquote><p align="justify">
<xsl:for-each select="br">
<xsl:value-of select="."/><br/>
</xsl:for-each>
</p></blockquote>
</div>
</xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template match="liste_elements">
<div style='border:solid windowtext .75pt;padding:4.0pt 4.0pt 4.0pt 4.0pt'>
<xsl:for-each select="element">
<p><a href="{./f}">e<xsl:value-of select="./nb"/></a>. <i><xsl:value-of select="./t"/></i></p>
</xsl:for-each>
</div>
</xsl:template>

<xsl:template match="liste_menu">
<xsl:for-each select="element">
<li><a href="{./f}"><xsl:value-of select="./t"/></a></li>
</xsl:for-each>
</xsl:template>

<xsl:template match="sourceDesc">
<table width="80%">
<xsl:apply-templates select="titre"/>
<tr><td colspan="6"><xsl:text> </xsl:text></td></tr>
<tr bgcolor="silver"><td><p align="center"><b><font color="blue">Fichier traite</font></b></p></td>
<td><p align="center"><b><font color="blue">Nb occurrences</font></b></p></td>
<td><p align="center"><b><font color="blue">Nb formes</font></b></p></td>
<td><p align="center"><b><font color="blue">Fq max</font></b></p></td>
<td><p align="center"><b><font color="blue">Nb hapax</font></b></p></td>
<td><p align="center"><b><font color="blue">Encodage</font></b></p></td></tr>
<tr><xsl:apply-templates select="source"/></tr>
<tr><xsl:apply-templates select="cible"/></tr>
</table>
</xsl:template>

<xsl:template match="titre">
<xsl:for-each select="br">
<tr><td colspan="6" align="center"><p align="justify"><b><xsl:value-of select="."/></b></p></td></tr>
</xsl:for-each>
</xsl:template>

<xsl:template match="source">
<xsl:for-each select="br">
<td align="center"><p align="center"><xsl:value-of select="."/></p></td>
</xsl:for-each>
</xsl:template>

<xsl:template match="cible">
<xsl:for-each select="br">
<td align="center"><p align="center"><xsl:value-of select="."/></p></td>
</xsl:for-each>
</xsl:template>



</xsl:stylesheet>